

#include <IRremote.h>

int broche_reception_ir = 2; // broche 2 utilisée 
IRrecv reception_ir(broche_reception_ir); // crée une instance 
decode_results decode_ir; // stockage données reçues

// définition des broches utilisées sur le shield contrôle Sorties 
int Tcm_Pwr = 3; 
int Tcm_Plg = 4; 
int In_1 = 5; 
int In_2 = 6;
int In_3 = 7;
int Vol_M = 8;
int Vol_P = 9;


void setup() 
{ 
  
pinMode(2, INPUT); //définit les port D2
pinMode(3, OUTPUT); //définit les port D3
pinMode(4, OUTPUT); //définit les port D4
pinMode(5, OUTPUT); 
pinMode(6, OUTPUT);
pinMode(7, OUTPUT);
pinMode(8, OUTPUT);
pinMode(9, OUTPUT);

 
  reception_ir.enableIRIn(); // démarre la réception 
}

void loop() 
{ 
  if (reception_ir.decode(&decode_ir)) 
  { 
    if (decode_ir.value == 0xFF6897) 
    { 
      // touche 1 –> Mise en marche Preamp & canal 1, Coupe Cana 2 & 3
      digitalWrite(Tcm_Pwr,HIGH);
      digitalWrite(In_1 ,HIGH);
      digitalWrite(In_2 ,LOW);
      digitalWrite(In_3 ,LOW);
    } 
    if (decode_ir.value == 0xFF9867) 
    { 
      // touche 2 –> Mise en marche Preamp & canal 2, Coupe Cana 1 & 3 
      digitalWrite(Tcm_Pwr,HIGH);
      digitalWrite(In_1 ,LOW);
      digitalWrite(In_2 ,HIGH);
      digitalWrite(In_3 ,LOW);
    } 

    if (decode_ir.value == 0xFFB04F) 
    { 
      // touche 3 –> Mise en marche Preamp & canal 3, Coupe Cana 1 & 2 
      digitalWrite(Tcm_Pwr,HIGH);
      digitalWrite(In_1 ,LOW);
      digitalWrite(In_2 ,LOW);
      digitalWrite(In_3 ,HIGH); 
    } 
    if (decode_ir.value == 0xFF22DD) 
    { 
      // touche < –> Stop Preamp & canal 1, 2 & 3 
      digitalWrite(Tcm_Pwr,LOW);
      digitalWrite(In_1 ,LOW);
      digitalWrite(In_2 ,LOW);
      digitalWrite(In_3 ,LOW); 
    } 
    if (decode_ir.value == 0xFF02FD) 
    { 
      // touche OK –> Mise en marche Amp
      digitalWrite(Tcm_Plg,HIGH); 
    } 
    if (decode_ir.value == 0xFFC23D) 
    { 
      // touche > –> Stop Amp
      digitalWrite(Tcm_Plg,LOW); 
    } 
    if (decode_ir.value == 0xFFA857) 
    { 
      // touche Vol_M –> Volume en moins 
      digitalWrite(Vol_M,HIGH); 
      delay(300);
      digitalWrite(Vol_M,LOW); 
    } 
    if (decode_ir.value == 0xFF629D) 
    { 
      // touche Vol_P –> Volume en plus
      digitalWrite(Vol_P,HIGH); 
      delay(300);
      digitalWrite(Vol_P,LOW);
    } 
    
    
    reception_ir.resume(); // reçoit le prochain code 
  } 
}
